#
# spec file for package lha (Version 1.14i)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           lha
License:        distributable, Other License(s), see package
Group:          Productivity/Archiving/Compression
Autoreqprov:    on
Version:        1.14i
Release:        586.2
Summary:        Pack Program
URL:            http://www.infor.kanazawa-it.ac.jp/~ishii/lhaunix/
Source:         lha-114i.tar.bz2
Source1:        lha.1
Patch:          lha-114i.dif
Patch1:         lha-114g-tempfile.patch
Patch2:         lha-114i-ia64.dif
Patch3:         lha-overflow+traversal.patch
Patch4:         lha.obscure_buf_oflow.patch
Patch5:         lha-security-code-review.diff
Patch6:         lha-strip.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Lha is a packer comparable to ZIP (PKZIP), ZOO, and others. It has been
included for compatibility reasons only. Use GZIP for general archiving
purposes, because it is the standard for Linux.



Authors:
--------
    Masaru Oki <oki@wbg.telcom.oki.co.jp>

%debug_package
%prep
%setup -n lha-114i
%patch
%patch -P 1 -p 0 -b .tmpfile
%patch2
cd src
%patch3
%patch4
%patch5
cd ..
%patch6
cp %{S:1} man/

%build
make OPTIMIZE="${RPM_OPT_FLAGS} -DSYSTIME_HAS_NO_TM"

%install
mkdir -p $RPM_BUILD_ROOT/usr/{bin,share/man/{,ja/}man1}
make install BINDIR=$RPM_BUILD_ROOT/usr/bin \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} MANSECT=1

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/lha
%doc /usr/share/man/man1/*
%doc /usr/share/man/ja/man1/*

%changelog -n lha
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - schwab@suse.de
- Don't strip binaries.
* Fri Jul 23 2004 - sbrabec@suse.cz
- Security code review (bug #43081).
* Mon May 17 2004 - sbrabec@suse.cz
- Added patch for obscure buffer overflow.
* Fri Apr 23 2004 - sbrabec@suse.cz
- Fixed buffer overflows for long filenames (CAN-2004-0234).
- Added directory traversal protection (CAN-2004-0235) (#39178).
* Wed Feb 25 2004 - hmacht@suse.de
- building as non-root
* Wed Apr 25 2001 - cihlar@suse.cz
- fixed warnings on ia64
* Wed Mar 07 2001 - cihlar@suse.cz
- update to version 1.14i
* Tue Feb 06 2001 - cihlar@suse.cz
- added -DSYSTIME_HAS_NO_TM
* Wed Jan 10 2001 - werner@suse.de
- Add temporary file patch
* Wed Nov 22 2000 - cihlar@suse.cz
- update to version 1.11h
- bzipped sources
* Fri Aug 11 2000 - cihlar@suse.cz
- update to version 1.14g
- fixed manpage
* Fri Mar 03 2000 - kasal@suse.de
- Oops, a few lines in dif were redundant.
* Fri Mar 03 2000 - kasal@suse.de
- added buildroot
- moved man page to /usr/share/man/ja
- fixed english manpage install
* Thu Mar 02 2000 - uli@suse.de
- moved man page to /usr/share
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 04 1999 - kukuk@suse.de
- Add english manual page
* Thu Jan 02 1997 - rj@suse.de
- new package version 1.0
